This page explains which Internet browsers Plucky supports.

Plucky works well in browsers that are based on Chromium 46 or newer. This includes Chrome, Brave, Edge, and others.

Firefox

See firefox.